## ros-lunar-roscpp 1.13.7

=== debian/changelog ===
ros-lunar-roscpp (1.13.7-0xenial) xenial; urgency=high

  * add hasStarted() to Timer API (#1464 <https://github.com/ros/ros_comm/issues/1464>)
  * force a rebuild of the pollset on flag changes (#1393 <https://github.com/ros/ros_comm/issues/1393>)
  * fix integer overflow for oneshot timers (#1382 <https://github.com/ros/ros_comm/issues/1382>)
  * convert the period standard deviation in StatisticsLogger to Duration at the end (#1361 <https://github.com/ros/ros_comm/issues/1361>)
  * replace DCL pattern with static variable (#1365 <https://github.com/ros/ros_comm/issues/1365>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Aug 2018 07:00:00 -0000

ros-lunar-roscpp (1.13.6-0xenial) xenial; urgency=high

  * avoid recreating poll set (#1281 <https://github.com/ros/ros_comm/pull/1281>)
  * switch to using epoll (#1217 <https://github.com/ros/ros_comm/pull/1217>)
  * monotonic clock for callback queue timeouts (#1250 <https://github.com/ros/ros_comm/pull/1250>)
  * fix IPv6 initialization order (#1262 <https://github.com/ros/ros_comm/issues/1262>)
  * changed error message for single threaded spinner  (#1164 <https://github.com/ros/ros_comm/pull/1164>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 05 Feb 2018 08:00:00 -0000

ros-lunar-roscpp (1.13.5-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 09 Nov 2017 08:00:00 -0000

ros-lunar-roscpp (1.13.4-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Nov 2017 07:00:00 -0000

ros-lunar-roscpp (1.13.3-0xenial) xenial; urgency=high

  * avoid unused parameter warning in TransportTCP (#1195 <https://github.com/ros/ros_comm/issues/1195>)
  * check if socket options are available before using them (#1172 <https://github.com/ros/ros_comm/issues/1172>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Oct 2017 07:00:00 -0000

ros-lunar-roscpp (1.13.2-0xenial) xenial; urgency=high

  * only use CLOCK_MONOTONIC if not on OS X (#1142 <https://github.com/ros/ros_comm/issues/1142>)
  * xmlrpc_manager: use SteadyTime for timeout (#1134 <https://github.com/ros/ros_comm/issues/1134>)
  * ignore headers with zero stamp in statistics (#1127 <https://github.com/ros/ros_comm/issues/1127>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 15 Aug 2017 07:00:00 -0000

ros-lunar-roscpp (1.13.1-0xenial) xenial; urgency=high

  * add SteadyTimer, used in TimerManager (#1014 <https://github.com/ros/ros_comm/issues/1014>)
  * include missing header for writev() (#1105 <https://github.com/ros/ros_comm/pull/1105>)
  * clean the namespace to get rid of double or trailing forward slashes (#1100 <https://github.com/ros/ros_comm/issues/1100>)
  * add missing mutex lock for publisher links (#1090 <https://github.com/ros/ros_comm/pull/1090>)
  * fix race condition that lead to miss first message (#1058 <https://github.com/ros/ros_comm/issues/1058>)
  * fix bug in transport_tcp on Windows (#1050 <https://github.com/ros/ros_comm/issues/1050>)
  * add subscriber to connection log messages (#1023 <https://github.com/ros/ros_comm/issues/1023>)
  * avoid deleting XmlRpcClient while being used in another thread (#1013 <https://github.com/ros/ros_comm/issues/1013>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-lunar-roscpp (1.13.0-0xenial) xenial; urgency=high

  * remove support for multiple spinners on the same queue which existed only for backward compatibily (#988 <https://github.com/ros/ros_comm/pull/988>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 22 Feb 2017 08:00:00 -0000

ros-lunar-roscpp (1.12.7-0xenial) xenial; urgency=high

  * move connection specific log message to new name roscpp_internal.connections (#980 <https://github.com/ros/ros_comm/pull/980>)
  * move headers to include/xmlrpcpp (#962 <https://github.com/ros/ros_comm/issues/962>)
  * fix UDP block number when EAGAIN or EWOULDBLOCK (#957 <https://github.com/ros/ros_comm/issues/957>)
  * fix return code of master execute function (#938 <https://github.com/ros/ros_comm/pull/938>)
  * change WallTimerEvent from class to struct (#924 <https://github.com/ros/ros_comm/pull/924>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Feb 2017 08:00:00 -0000

ros-lunar-roscpp (1.12.6-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Oct 2016 07:00:00 -0000

ros-lunar-roscpp (1.12.5-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 30 Sep 2016 07:00:00 -0000

ros-lunar-roscpp (1.12.4-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-lunar-roscpp (1.12.3-0xenial) xenial; urgency=high

  * fix multi-threaded spinning (#867 <https://github.com/ros/ros_comm/pull/867>)
  * fix static destruction order (#871 <https://github.com/ros/ros_comm/pull/871>)
  * throw exception on ros::init with empty node name (#894 <https://github.com/ros/ros_comm/pull/894>)
  * improve debug message when queue is full (#818 <https://github.com/ros/ros_comm/issues/818>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 17 Sep 2016 07:00:00 -0000

ros-lunar-roscpp (1.12.2-0xenial) xenial; urgency=high

  * improve stacktrace for exceptions thrown in callbacks (#811 <https://github.com/ros/ros_comm/pull/811>)
  * fix segfault if creating outgoing UDP transport fails (#807 <https://github.com/ros/ros_comm/pull/807>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Jun 2016 07:00:00 -0000

ros-lunar-roscpp (1.12.1-0xenial) xenial; urgency=high

  * use directory specific compiler flags (#785 <https://github.com/ros/ros_comm/pull/785>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Apr 2016 07:00:00 -0000

ros-lunar-roscpp (1.12.0-0xenial) xenial; urgency=high

  * improve TopicManager::instance (#770 <https://github.com/ros/ros_comm/issues/770>)
  * change return value of param() to bool (#753 <https://github.com/ros/ros_comm/issues/753>)


