=== debian/control ===
Source: ros-lunar-roscpp
Section: misc
Priority: extra
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), pkg-config, ros-lunar-catkin (>= 0.5.78), ros-lunar-cpp-common (>= 0.3.17), ros-lunar-message-generation, ros-lunar-rosconsole, ros-lunar-roscpp-serialization, ros-lunar-roscpp-traits (>= 0.3.17), ros-lunar-rosgraph-msgs (>= 1.10.3), ros-lunar-roslang, ros-lunar-rostime (>= 0.6.4), ros-lunar-std-msgs, ros-lunar-xmlrpcpp
Homepage: http://ros.org/wiki/roscpp
Standards-Version: 3.9.2

Package: ros-lunar-roscpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-cpp-common (>= 0.3.17), ros-lunar-message-runtime, ros-lunar-rosconsole, ros-lunar-roscpp-serialization, ros-lunar-roscpp-traits (>= 0.3.17), ros-lunar-rosgraph-msgs (>= 1.10.3), ros-lunar-rostime (>= 0.6.4), ros-lunar-std-msgs, ros-lunar-xmlrpcpp
Description: roscpp is a C++ implementation of ROS.
 It provides a client library that enables C++ programmers to quickly interface with ROS Topics, Services, and Parameters. roscpp is the most widely used ROS client library and is designed to be the high-performance library for ROS.
